package engine_lsd;

import java.util.*;

/**
 * State interface.
 */
public interface State extends Cloneable {
	/**
	 * @return the iterator for successors, orderd as increasing values
	 */
	Iterator successors();

	/**
	 * Returns the value, a value of 0 means the goal has been reached
	 * 
	 * @return value.
	 */
	double value();
}